# HTML
lantern.html.doctype =$(lantern.operator)
lantern.html.tag     =$(lantern.keyword)
lantern.html.attr    =$(lantern.identifier)
lantern.html.value   =$(lantern.number)
lantern.html.inner   =$(lantern.string)
lantern.html.php     =$(lantern.operator)

# Text
style.hypertext.0=$(lantern.html.inner)
# Tags
style.hypertext.1=$(lantern.html.tag)
# Unknown Tags
#style.hypertext.2=fore:#FF0000
# Attributes
style.hypertext.3=$(lantern.html.attr)
# Unknown Attributes
#style.hypertext.4=fore:#FF0000
# Numbers
#style.hypertext.5=$(colour.number)
# Double quoted strings
style.hypertext.6=$(lantern.html.value)
# Single quoted strings
#style.hypertext.7=$(colour.string)
# Other inside tag
style.hypertext.8=$(lantern.operator)
# Comment
style.hypertext.9=$(lantern.comment)
# Entities (&nbsp;)
style.hypertext.10=$(lantern.operator)
# XML style tag ends '/>'
style.hypertext.11=$(lantern.html.tag)
# XML identifier start '<?'
#style.hypertext.12=fore:#0000FF
# XML identifier end '?>'
#style.hypertext.13=fore:#0000FF
#  SCRIPT
#style.hypertext.14=fore:#000080
# ASP <% ... %>
#style.hypertext.15=back:#FFFF00
# ASP <% ... %>
#style.hypertext.16=back:#FFDF00
# CDATA
#style.hypertext.17=back:#FFDF00
# PHP
style.hypertext.18=$(lantern.html.php)
# Unquoted values
#style.hypertext.19=fore:#FF00FF,back:#FFEFFF
# JSP Comment <%-- ... --%>
#style.hypertext.20=fore:#000000,back:#FFFFD0
# SGML tags <! ... >
style.hypertext.21=$(lantern.html.doctype)
# SGML command
style.hypertext.22=$(lantern.html.doctype)
# SGML 1st param
style.hypertext.23=$(lantern.html.doctype)
# SGML double string
#style.hypertext.24=fore:#800000,$(colour.hypertext.sgml.back)
# SGML single string
#style.hypertext.25=fore:#993300,$(colour.hypertext.sgml.back)
# SGML error
#style.hypertext.26=fore:#800000,back:#FF6666
# SGML special (#xxxx type)
#style.hypertext.27=fore:#3366FF,$(colour.hypertext.sgml.back)
# SGML entity
#style.hypertext.28=fore:#333333,$(colour.hypertext.sgml.back)
# SGML comment
#style.hypertext.29=fore:#808000,$(colour.hypertext.sgml.back)
# SGML first parameter - lexer internal. It is an error if any text is in this style.
#style.hypertext.30=fore:#808000,back:#FF0000
# SGML block
#style.hypertext.31=fore:#000066,back:#CCCCE0
# Matched Operators
style.hypertext.34=
style.hypertext.35=



# JS
lantern.js.default=$(lantern.identifier)

# JS Start - allows eol filled background to not start on same line as SCRIPT tag
style.hypertext.40=$(lantern.js.default),$(lantern.embed),eolfilled
# JS Default
style.hypertext.41=$(lantern.js.default),$(lantern.embed),eolfilled
# JS Comment
style.hypertext.42=$(lantern.comment),$(lantern.embed)
# JS Line Comment
style.hypertext.43=$(lantern.comment),$(lantern.embed)
# JS Doc comment
style.hypertext.44=$(lantern.comment),$(lantern.embed)
# JS Number
style.hypertext.45=$(lantern.number),$(lantern.embed)
# JS Word
style.hypertext.46=$(lantern.js.default),$(lantern.embed)
# JS Keyword
style.hypertext.47=$(lantern.keyword),$(lantern.embed)
# JS Double quoted string
style.hypertext.48=$(lantern.string),$(lantern.embed)
# JS Single quoted string
style.hypertext.49=$(lantern.string),$(lantern.embed)
# JS Symbols
style.hypertext.50=$(lantern.operator),$(lantern.embed)
# JavaScript EOL
#style.hypertext.51=back:#BFBBB0,eolfilled
# JavaScript RegEx
#style.hypertext.52=back:#FFBBB0

# ASP Javascript
# JS Start - allows eol filled background to not start on same line as SCRIPT tag
#style.hypertext.55=fore:#7F7F00
# JS Default
#style.hypertext.56=fore:#000000,bold,$(font.js),$(colour.hypertext.server.javascript.back),eolfilled
# JS Comment
#style.hypertext.57=fore:#007F00,$(font.js),$(colour.hypertext.server.javascript.back),eolfilled
# JS Line Comment
#style.hypertext.58=fore:#007F00,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Doc comment
#style.hypertext.59=fore:#7F7F7F,bold,$(font.js),$(colour.hypertext.server.javascript.back),eolfilled
# JS Number
#style.hypertext.60=fore:#007F7F,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Word
#style.hypertext.61=fore:#000000,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Keyword
#style.hypertext.62=fore:#00007F,bold,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Double quoted string
#style.hypertext.63=fore:#7F007F,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Single quoted string
#style.hypertext.64=fore:#7F007F,$(font.js),$(colour.hypertext.server.javascript.back)
# JS Symbols
#style.hypertext.65=fore:#000000,bold,$(font.js),$(colour.hypertext.server.javascript.back)
# JavaScript EOL
#style.hypertext.66=back:#BFBBB0,eolfilled
# JavaScript RegEx
#style.hypertext.67=back:#FFBBB0

# Embedded VBS
# Start
#style.hypertext.70=
# Default
#style.hypertext.71=$(font.vbs),$(colour.hypertext.client.vbs.back),fore:#000000,eolfilled
# Comment
#style.hypertext.72=$(font.comment),$(colour.hypertext.client.vbs.back),fore:#008000,eolfilled
# Number
#style.hypertext.73=$(font.vbs),$(colour.hypertext.client.vbs.back),fore:#008080,eolfilled
# KeyWord
#style.hypertext.74=$(font.vbs),$(colour.hypertext.client.vbs.back),fore:#000080,bold,eolfilled
# String
#style.hypertext.75=$(font.vbs),$(colour.hypertext.client.vbs.back),fore:#800080,eolfilled
# Identifier
#style.hypertext.76=$(font.vbs),$(colour.hypertext.client.vbs.back),fore:#000080,eolfilled
# Unterminated string
#style.hypertext.77=$(font.vbs),back:#7F7FFF,fore:#000080,eolfilled

# ASP VBS
# Start
#style.hypertext.80=
# Default
#style.hypertext.81=$(font.vbs),$(colour.hypertext.server.vbs.back),fore:#000000,eolfilled
# Comment
#style.hypertext.82=$(font.comment),$(colour.hypertext.server.vbs.back),fore:#008000,eolfilled
# Number
#style.hypertext.83=$(font.vbs),$(colour.hypertext.server.vbs.back),fore:#008080,eolfilled
# KeyWord
#style.hypertext.84=$(font.vbs),$(colour.hypertext.server.vbs.back),fore:#000080,bold,eolfilled
# String
#style.hypertext.85=$(font.vbs),$(colour.hypertext.server.vbs.back),fore:#800080,eolfilled
# Identifier
#style.hypertext.86=$(font.vbs),$(colour.hypertext.server.vbs.back),fore:#000080,eolfilled
# Unterminated string
#style.hypertext.87=$(font.vbs),back:#7F7FBF,fore:#000080,eolfilled

# Embedded Python
#style.hypertext.90=fore:#808080
#style.hypertext.91=fore:#808080,$(colour.hypertext.client.python.back),eolfilled
# Comment
#style.hypertext.92=fore:#007F00,$(font.comment),$(colour.hypertext.client.python.back),eolfilled
# Number
#style.hypertext.93=fore:#007F7F,$(colour.hypertext.client.python.back),eolfilled
# String
#style.hypertext.94=fore:#7F007F,$(font.monospace),$(colour.hypertext.client.python.back),eolfilled
# Single quoted string
#style.hypertext.95=fore:#7F007F,$(font.monospace),$(colour.hypertext.client.python.back),eolfilled
# Keyword
#style.hypertext.96=fore:#00007F,bold,$(colour.hypertext.client.python.back),eolfilled
# Triple quotes
#style.hypertext.97=fore:#7F0000,$(colour.hypertext.client.python.back),eolfilled
# Triple double quotes
#style.hypertext.98=fore:#7F0000,$(colour.hypertext.client.python.back),eolfilled
# Class name definition
#style.hypertext.99=fore:#0000FF,bold,$(colour.hypertext.client.python.back),eolfilled
# Function or method name definition
#style.hypertext.100=fore:#007F7F,bold,$(colour.hypertext.client.python.back),eolfilled
# Operators
#style.hypertext.101=bold,$(colour.hypertext.client.python.back),eolfilled
# Identifiers
#style.hypertext.102=$(colour.hypertext.client.python.back),eolfilled

# PHP complex variable
#style.hypertext.104=fore:#007F00,italics,$(colour.hypertext.server.php.back)

# ASP Python
#style.hypertext.105=fore:#808080
#style.hypertext.106=fore:#808080,$(colour.hypertext.server.python.back),eolfilled
# Comment
#style.hypertext.107=fore:#007F00,$(font.comment),$(colour.hypertext.server.python.back),eolfilled
# Number
#style.hypertext.108=fore:#007F7F,$(colour.hypertext.server.python.back),eolfilled
# String
#style.hypertext.109=fore:#7F007F,$(font.monospace),$(colour.hypertext.server.python.back),eolfilled
# Single quoted string
#style.hypertext.110=fore:#7F007F,$(font.monospace),$(colour.hypertext.server.python.back),eolfilled
# Keyword
#style.hypertext.111=fore:#00007F,bold,$(colour.hypertext.server.python.back),eolfilled
# Triple quotes
#style.hypertext.112=fore:#7F0000,$(colour.hypertext.server.python.back),eolfilled
# Triple double quotes
#style.hypertext.113=fore:#7F0000,$(colour.hypertext.server.python.back),eolfilled
# Class name definition
#style.hypertext.114=fore:#0000FF,bold,$(colour.hypertext.server.python.back),eolfilled
# Function or method name definition
#style.hypertext.115=fore:#007F7F,bold,$(colour.hypertext.server.python.back),eolfilled
# Operators
#style.hypertext.116=bold,$(colour.hypertext.server.python.back),eolfilled
# Identifiers
#style.hypertext.117=$(colour.hypertext.server.python.back),eolfilled



# PHP
lantern.php.default=$(lantern.default)
lantern.php.variable=$(lantern.identifier)
lantern.php.stringvar=fore:$(lantern.color.olive)

# Default
style.hypertext.118=$(lantern.php.default),$(lantern.embed),eolfilled
# Double quoted String
style.hypertext.119=$(lantern.string),$(lantern.embed)
# Single quoted string
style.hypertext.120=$(lantern.string),$(lantern.embed)
# Keyword
style.hypertext.121=$(lantern.keyword),$(lantern.embed)
# Number
style.hypertext.122=$(lantern.number),$(lantern.embed)
# Variable
style.hypertext.123=$(lantern.php.variable),$(lantern.embed)
# Comment
style.hypertext.124=$(lantern.comment),$(lantern.embed)
# One line comment
style.hypertext.125=$(lantern.comment),$(lantern.embed)
# PHP variable in double quoted string
style.hypertext.126=$(lantern.php.stringvar),$(lantern.embed)
# PHP operator
style.hypertext.127=$(lantern.operator),$(lantern.embed)

# XML: eXtensible Markup Language
# For XML, there is no list of known tags or attributes so all are coloured known

# Default
style.xml.0=$(lantern.html.inner)
# Tags
style.xml.1=$(lantern.html.tag)
# Unknown Tags
#style.xml.2=fore:#000080
# Attributes
style.xml.3=$(lantern.html.attr)
# Unknown Attributes
#style.xml.4=fore:#008080
# Numbers
#style.xml.5=$(colour.number)
# Double quoted strings
style.xml.6=$(lantern.html.value)
# Single quoted strings
style.xml.7=$(lantern.html.value)
# Other inside tag
style.xml.8=$(lantern.operator)
# Comment
style.xml.9=$(lantern.comment)
# Entities
style.xml.10=$(lantern.operator)
# XML style tag ends '/>'
style.xml.11=$(lantern.html.tag)
# XML identifier start '<?'
style.xml.12=$(lantern.html.tag)
# XML identifier end '?>'
style.xml.13=$(lantern.html.tag)
# CDATA
#style.xml.17=fore:#800000,back:#FFF0F0,$(font.text),eolfilled
# Question
#style.xml.18=fore:#800000
# Unquoted Value
#style.xml.19=fore:#608060
# SGML tags <! ... >
#style.xml.21=fore:#000080,$(colour.hypertext.sgml.back)
# SGML command
#style.xml.22=fore:#000080,$(colour.hypertext.sgml.back),bold
# SGML 1st param
#style.xml.23=fore:#006600,$(colour.hypertext.sgml.back)
# SGML double string
#style.xml.24=fore:#800000,$(colour.hypertext.sgml.back)
# SGML single string
#style.xml.25=fore:#993300,$(colour.hypertext.sgml.back)
# SGML error
#style.xml.26=fore:#800000,back:#FF6666
# SGML special (#xxxx type)
#style.xml.27=fore:#3366FF,$(colour.hypertext.sgml.back)
# SGML entity
#style.xml.28=fore:#333333,$(colour.hypertext.sgml.back)
# SGML comment
#style.xml.29=fore:#808000,$(colour.hypertext.sgml.back)
# SGML block
#style.xml.31=fore:#000066,back:#CCCCE0